Subject: Re: [PATCH v7] MyFirstContribution: add avenues for getting help

From: Emily Shaffer <[email-masked]>
Date: Thu, 6 Feb 2020 11:49:29 -0800

On Thu, Feb 06, 2020 at 08:33:54AM -0800, Junio C Hamano wrote:
> SZEDER Gábor <[email-masked]> writes:
> 
> > On Fri, Jan 24, 2020 at 03:44:40PM -0800, Junio C Hamano wrote:
> >
> >> ...  The more important part, from my point of view,
> >> is that we offer choices (the proposed doc update illustrates
> >> three).
> >
> > I remember a discussion about whether that list and its archive should
> > be open or closed, and I agree that offering choices is good.
> > However, since that mentoring list requires registration, we have to
> > carefully consider how to present it to newcomers.
> >
> > Openly accessible knowledge is a fundamental value, and it's the
> > foundation of open source.  Therefore, we definitely should not direct
> > newcomers to a closed mailing list as the first option, it can only be
> > a fallback.
> 
> I am not that dogmatic ;-) I would be very unhappy and probably
> would not have joined if the main development community was closed,
> but I do not think the "knowledge" the "closed mentoring list for
> those who are shy" are meant to impart to newbies will be something
> that will be so well kept secret that are shared among only those in
> the closed list.  I expect the mentoring list to be repeating what
> those who graduated "new"-ness consider pretty much common public
> knowledge.
> 
> Having said that, my reading did hiccup when queuing Emily's text,
> in that it listed the mentoring list first, and (more problematic)
> the only choice among the three described with a word "great" was
> that one.  Also, now I re-read it, the last sentence "You must join
> the group to view messages or post", without explaining why it is
> set up that way is bound to give a wrong impression, I suppose.  I
> presume that the reason why those who wanted to make the mentoring
> list closed was because they thought it would be nicer for shysters,
> but if that is the case, it probably is better to spell that out.

Sure. I think I didn't do so in an effort to be brief. I'll think on
this today and send some suggestions here (rather than rerolling).

> 
> > The text should list git@vger as the first option, since that's the
> > only open mailing list we have, it should clearly emphasize that
> > newcomers are very welcome, and should explicitly encourage them to
> > post their questions here, no matter how trivial or silly they think
> > those questions are, we'll be always glad to answer them.
> 
> I have no problem with seeing an expanded invitation to the main
> list.  I do not have a strong opinion on the order of three items.

Me neither, and placing git@vger first does give me an opportunity to
say something like "if you feel worried about asking publicly, this list
is a more private setting" in reference to the mentors list. So that's
an option I could get behind.

> 
> > The closed mailing list can be mentioned third as a fallback for those
> > who would prefer not to end up on public record right away or who have
> > any technical issues with posting to the main mailing list.
> 
> I'll mark the topic on hold (it is in 'next'), and would give the
> stakeholders some time to settle the discussion, perhaps with
> counter-proposals in an incremental patch form.  Would it be
> reasonable to set the deadline around the end of the next week?

Yeah, that is OK for me. I'll try and send another email with some ideas
today or tomorrow.

Thanks for the feedback, Gábor - I appreciate it.

 - Emily